---
title: ReadableByteStreamController.byobRequest
slug: Web/API/ReadableByteStreamController/byobRequest
tags:
  - API
  - Experimental
  - Property
  - ReadableByteStreamController
  - Reference
  - Streams
  - byobRequest
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>byobRequest</code></strong> read-only property of the {{domxref("ReadableByteStreamController")}} interface returns the current BYOB pull request, or <code>undefined</code> if there are no pending requests.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>request</em> = </code>readableByteStreamController</var>.byobRequest;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("ReadableStreamBYOBRequest")}} object instance, or <code>undefined</code>.</p>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rbs-controller-byob-request","byobRequest")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableByteStreamController.byobRequest")}}</p>
